Page MenuHomePhabricator

docs: Format efl_file.h
ClosedPublic

Authored by segfaultxavi on Mar 28 2019, 7:34 AM.

Details

Summary

And polish a bit.

Ref T7717

Test Plan

Only docs updated

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
segfaultxavi created this revision.Mar 28 2019, 7:34 AM
segfaultxavi requested review of this revision.Mar 28 2019, 7:34 AM
bu5hm4n added inline comments.
src/lib/efl/interfaces/efl_file.eo
69

It *can* be a edje file. However, edje files can only be loaded when the implentor of this object is above/in the edje abstraction layer...

segfaultxavi added inline comments.Mar 28 2019, 8:59 AM
src/lib/efl/interfaces/efl_file.eo
69

Do you think users will understand that distinction? They will normally use a given class and know nothing of its hierarchy.

Honestly, I wouldn't talk at all about EET or Edje here, this belongs to the classes implementing this interface. But EO does not allow docs in the implements section :(

bu5hm4n added inline comments.Mar 29 2019, 3:59 AM
src/lib/efl/interfaces/efl_file.eo
69

Then lets say that the key is just some abstract key which can be used from the implementor of this interface to specify the data to be loaded from a container. Then in efl_layout_object we cacn add this to the class documentation, that edje groupscan be used as keys ?

Clarify usage of "key" property.

zmike accepted this revision.Apr 2 2019, 5:56 AM
This revision is now accepted and ready to land.Apr 2 2019, 5:56 AM
This revision was automatically updated to reflect the committed changes.